/*
 * SysinfoViewer.java
 *
 * Created on 2004/02/01, 19:06
 */

/**
 *
 * @author  miwa
 */
public class SysinfoViewer extends java.awt.Frame {

    final java.awt.Toolkit kit = java.awt.Toolkit.getDefaultToolkit();
    final java.awt.datatransfer.Clipboard clipboard = kit.getSystemClipboard();

    /** Creates new form SysinfoViewer */
    public SysinfoViewer() {
        initComponents();
        
        Meminfo   mem = new Meminfo();
        Sysinfo   sys = new Sysinfo();
        text.append(mem.getInfo() + "\n");
        text.append(sys.getInfo()       );
        text.setCaretPosition(0);          // CarethLg̐擪ɐݒ
        text.requestFocus();               // FocusڂƎXN[
        
        setVisible(true);
        pack();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        text = new java.awt.TextArea();
        menuBar = new java.awt.MenuBar();
        menuFile = new java.awt.Menu();
        menuItemExit = new java.awt.MenuItem();
        menuEdit = new java.awt.Menu();
        menuItemCopy = new java.awt.MenuItem();

        setTitle(java.util.ResourceBundle.getBundle("resources/Sysinfo").getString("TITLE"));
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        add(text, java.awt.BorderLayout.CENTER);

        menuFile.setLabel(java.util.ResourceBundle.getBundle("resources/Sysinfo").getString("MENU_File"));
        menuItemExit.setLabel(java.util.ResourceBundle.getBundle("resources/Sysinfo").getString("MENUITEM_Exit"));
        menuItemExit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuItemExitActionPerformed(evt);
            }
        });

        menuFile.add(menuItemExit);

        menuBar.add(menuFile);

        menuEdit.setLabel(java.util.ResourceBundle.getBundle("resources/Sysinfo").getString("MENU_Edit"));
        menuItemCopy.setLabel(java.util.ResourceBundle.getBundle("resources/Sysinfo").getString("MENUITEM_Copy"));
        menuItemCopy.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuItemCopyActionPerformed(evt);
            }
        });

        menuEdit.add(menuItemCopy);

        menuBar.add(menuEdit);

        setMenuBar(menuBar);

        pack();
    }//GEN-END:initComponents

    private void menuItemCopyActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuItemCopyActionPerformed
        //̃eLXgR|[lĝׂẴeLXg荞ށB 
        String srcData = text.getText();
        text.selectAll();
        if (srcData != null) {
            java.awt.datatransfer.StringSelection contents = new java.awt.datatransfer.StringSelection(srcData);
            clipboard.setContents(contents, contents);
        }
    }//GEN-LAST:event_menuItemCopyActionPerformed

    private void menuItemExitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuItemExitActionPerformed
        System.exit(0);
    }//GEN-LAST:event_menuItemExitActionPerformed
    
    /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
        System.exit(0);
    }//GEN-LAST:event_exitForm
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        int w = (int)screenSize.width  * 7 / 8;
        int h = (int)screenSize.height * 7 / 8;

        SysinfoViewer sv = new SysinfoViewer();
        sv.pack();
        sv.setVisible(true);
        sv.setSize(w, h);
        sv.repaint();
    //  sv.pack();
    }

    // ϐ錾 - ҏWs//GEN-BEGIN:variables
    private java.awt.MenuBar menuBar;
    private java.awt.Menu menuEdit;
    private java.awt.Menu menuFile;
    private java.awt.MenuItem menuItemCopy;
    private java.awt.MenuItem menuItemExit;
    private java.awt.TextArea text;
    // ϐ錾̏I//GEN-END:variables
}
